import type { NextApiRequest, NextApiResponse } from 'next'
import Insert from "../../server/db/insert";

const sql = "INSERT INTO members (name_team_coach, coach_telefon_number, trainer_mail, city_team, training_institution_team, team_name, name_first_participant, first_partial_class, name_second_participant, second_class, name_third_party, third_part_class) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
type Data = {
    error: string,
  }

// eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types
export default function handler(
    req: NextApiRequest,
    res: NextApiResponse<Data>
  ) {
    console.log(req.body)
    const parm = JSON.stringify(req.body);
    Insert(sql, parm, function(data){
        res.status(200).json(data);
    })
  }